Class | Weekdays
In: | lib/facets/more/times.rb
Parent: | Object

The Weekdays class provides useful weekday terminology to Numeric.

### Methods

after ago before from_now new since until

### Constants

WEEKDAYS | = | 1..5
ONE_DAY | = | 60 * 60 * 24

### Public Class methods

new(n)

### Public Instance methods

after(time = ::Time.now)

Alias for since

ago(time = ::Time.now)
before(time = ::Time.now)

Alias for ago

from_now(time = ::Time.now)

Alias for since

since(time = ::Time.now)
until(time = ::Time.now)

Alias for ago

[Validate]